using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class TextHandler : MonoBehaviour {

    public enum Tipo { Audiencia, DinheiroRun, Dinheiro }
    public Tipo tipo;

    public Radio radio;

    Text text;
   
	// Use this for initialization
	void Start () {
        text = gameObject.GetComponent<Text>();
	}
	
	// Update is called once per frame
	void Update () {
        switch (tipo) {
            case Tipo.Audiencia:
                text.text = radio.audienciaAtual + "";
                break;
            case Tipo.DinheiroRun:
                text.text = radio.dinheiroDia + "";
                break;
            case Tipo.Dinheiro:
                text.text = GameManager.instance.dinheiro + "";
                break;
        }
	}
}
